Package it.ernytech.tdlib

## Class TdApi.UserType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserType

Direct Known Subclasses:
  `TdApi.UserTypeBot`, `TdApi.UserTypeDeleted`, `TdApi.UserTypeRegular`, `TdApi.UserTypeUnknown`

Enclosing class:
  TdApi

    public abstract static class TdApi.UserType
    extends TdApi.Object

This class is an abstract base class. Represents the type of the user. The following types are possible: regular users, deleted users and bots.

### Constructor Summary

Constructors
`UserType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### UserType

    public UserType()